## com.thingmagic
Enum SerialReader.ISO180006BConfiguration

    java.lang.Object
      java.lang.Enum<SerialReader.ISO180006BConfiguration>
          com.thingmagic.SerialReader.ISO180006BConfiguration

All Implemented Interfaces:
  SerialReader.ProtocolConfiguration, java.io.Serializable, java.lang.Comparable<SerialReader.ISO180006BConfiguration>

Enclosing class:
  SerialReader

    public static enum SerialReader.ISO180006BConfiguration

extends java.lang.Enum<SerialReader.ISO180006BConfiguration>
implements SerialReader.ProtocolConfiguration

ISO18000-6B-specific parameters that are supported on the device.

Enum Constant Summary
`DELIMITER`
`LINKFREQUENCY` The frequency of the tag data, in kHz.
`MODULATIONDEPTH` Modulation depth in transmitter

Method Summary
`int` `getValue()` internal use method
`static SerialReader.ISO180006BConfiguration` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.ISO180006BConfiguration[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LINKFREQUENCY

    public static final SerialReader.ISO180006BConfiguration LINKFREQUENCY

  The frequency of the tag data, in kHz.

  Type: Integer

### MODULATIONDEPTH

    public static final SerialReader.ISO180006BConfiguration MODULATIONDEPTH

  Modulation depth in transmitter

  Type:Integer

### DELIMITER

    public static final SerialReader.ISO180006BConfiguration DELIMITER

Method Detail

### values

    public static SerialReader.ISO180006BConfiguration[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.ISO180006BConfiguration c : SerialReader.ISO180006BConfiguration.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.ISO180006BConfiguration valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  internal use method

  Specified by:
    `getValue` in interface `SerialReader.ProtocolConfiguration`
  Returns:
    value